Bug 856800 - repo search output is displayed in alphabetical order for the field labels
repo search output is displayed in alphabetical order for the field labels
Status: CLOSED CURRENTRELEASE
Product: Pulp
Classification: Community
Component: user-experience (Show other bugs)
2.0.6
Unspecified Unspecified
unspecified Severity unspecified
: ---
: Sprint 42
Assigned To: Jay Dobies
Preethi Thomas
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-09-12 16:00 EDT by Preethi Thomas
Modified: 2013-09-09 12:30 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-01-09 12:05:20 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Preethi Thomas 2012-09-12 16:00:55 EDT
Description of problem:

Not sure what the best way to describe this.

Repo search output is listed in alphabetcial order for the field labels. Not on the actual values.

Version-Release number of selected component (if applicable):
[root@preethi-el6-pulp ~]# rpm -q pulp-rpm-server
pulp-rpm-server-2.0.3-1.el6.noarch
[root@preethi-el6-pulp ~]# 


How reproducible:


Steps to Reproduce:


[root@preethi-el6-pulp ~]# pulp-admin repo search 
Content Unit Count:  39
Description:         None
Display Name:        zoo
Id:                  zoo
Notes:               
Scratchpad:          
  Checksum Type:        sha256
  Importer Working Dir: /var/lib/pulp/working/repos/zoo/importers/yum_importer/z
                        oo


Content Unit Count:  8541
Description:         None
Display Name:        rhel6_2
Id:                  rhel6_2
Notes:               
  Repo: Rhel6
Scratchpad:          
  Checksum Type:        sha
  Importer Working Dir: /var/lib/pulp/working/repos/rhel6_2/importers/yum_import
                        er/rhel6_2


Content Unit Count:  1
Description:         None
Display Name:        bugs
Id:                  bugs
Notes:               
Scratchpad:          


1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Jay Dobies 2012-11-28 10:03:26 EST
I forget when, but this was fixed:

╭─[jdob]─[hinterlands]─[~]─[]─●
╰─➤ pulp-admin rpm repo list
+----------------------------------------------------------------------+
                              Repositories
+----------------------------------------------------------------------+

Id:                 test-repo
Display Name:       test-repo
Description:        None
Content Unit Count: 0

Id:                 test-repo-2
Display Name:       test-repo-2
Description:        None
Content Unit Count: 0


╭─[jdob]─[hinterlands]─[~]─[]─●
╰─➤ pulp-admin rpm repo search
+----------------------------------------------------------------------+
                              Repositories
+----------------------------------------------------------------------+

Id:                 test-repo
Display Name:       test-repo
Description:        None
Content Unit Count: 0
Notes:              
Scratchpad:         

Id:                 test-repo-2
Display Name:       test-repo-2
Description:        None
Content Unit Count: 0
Notes:              
Scratchpad:
Comment 2 Jay Dobies 2012-11-28 10:03:53 EST
On second thought, let's call this MODIFIED for now, just to make sure it's actually in there when you go to test it.
Comment 3 Jeff Ortel 2012-11-29 16:30:10 EST
build: 2.0.6-0.10.beta
Comment 4 Preethi Thomas 2012-12-04 13:25:52 EST
[root@preethi ~]# rpm -q pulp-server
pulp-server-2.0.6-0.11.beta.noarch
[root@preethi ~]# 


[root@preethi ~]# pulp-admin rpm repo list
+----------------------------------------------------------------------+
                            RPM Repositories
+----------------------------------------------------------------------+

Id:                 fedora17
Display Name:       fedora17
Description:        None
Content Unit Count: 3584

Id:                 errata
Display Name:       errata
Description:        None
Content Unit Count: 15

Id:                 copy-errata
Display Name:       copy-errata
Description:        None
Content Unit Count: 4

Id:                 pulp
Display Name:       pulp
Description:        None
Content Unit Count: 0

Id:                 pulp1
Display Name:       pulp1
Description:        None
Content Unit Count: 0


[root@preethi ~]# pulp-admin rpm repo list --details
+----------------------------------------------------------------------+
                            RPM Repositories
+----------------------------------------------------------------------+

Id:                 fedora17
Display Name:       fedora17
Description:        None
Content Unit Count: 3584
Notes:              
Importers:          
  Config:           
    Feed URL: http://download.devel.redhat.com/released/F-17/GOLD/Fedora/x86_64/
              os/
  Id:               yum_importer
  Importer Type Id: yum_importer
  Last Sync:        2012-12-03T13:49:05-05:00
  Repo Id:          fedora17
  Scheduled Syncs:  
  Scratchpad:       None
Distributors:       
  Auto Publish:        True
  Config:              
    Http:         False
    Https:        True
    Relative URL: /released/F-17/GOLD/Fedora/x86_64/os/
  Distributor Type Id: yum_distributor
  Id:                  yum_distributor
  Last Publish:        2012-12-03T13:49:32-05:00
  Repo Id:             fedora17
  Scheduled Publishes: 
  Scratchpad:          None

Id:                 errata
Display Name:       errata
Description:        None
Content Unit Count: 15
Notes:              
Importers:          
  Config:           
    Feed URL: http://repos.fedorapeople.org/repos/pulp/pulp/demo_repos/test_erra
              ta_install/
  Id:               yum_importer
  Importer Type Id: yum_importer
  Last Sync:        2012-11-30T11:01:28-05:00
  Repo Id:          errata
  Scheduled Syncs:  
  Scratchpad:       None
Distributors:       
  Auto Publish:        True
  Config:              
    Http:         False
    Https:        True
    Relative URL: /repos/pulp/pulp/demo_repos/test_errata_install/
  Distributor Type Id: yum_distributor
  Id:                  yum_distributor
  Last Publish:        2012-11-30T11:01:30-05:00
  Repo Id:             errata
  Scheduled Publishes: 
  Scratchpad:          None

Id:                 copy-errata
Display Name:       copy-errata
Description:        None
Content Unit Count: 4
Notes:              
Importers:          
  Config:           
  Id:               yum_importer
  Importer Type Id: yum_importer
  Last Sync:        None
  Repo Id:          copy-errata
  Scheduled Syncs:  
  Scratchpad:       None
Distributors:       
  Auto Publish:        True
  Config:              
    Http:         False
    Https:        True
    Relative URL: copy-errata
  Distributor Type Id: yum_distributor
  Id:                  yum_distributor
  Last Publish:        None
  Repo Id:             copy-errata
  Scheduled Publishes: 
  Scratchpad:          None

Id:                 pulp
Display Name:       pulp
Description:        None
Content Unit Count: 0
Notes:              
Importers:          
  Config:           
    Feed URL: http://repos.fedorapeople.org/repos/pulp/pulp/v2/testing/fedora-17
              /i386/
  Id:               yum_importer
  Importer Type Id: yum_importer
  Last Sync:        None
  Repo Id:          pulp
  Scheduled Syncs:  
  Scratchpad:       None
Distributors:       
  Auto Publish:        True
  Config:              
    Http:         False
    Https:        True
    Relative URL: RHIC/Library/content/beta/rhel/server/6/6Server/x86_64/ose-inf
                  ra/1/source/SRPMS
  Distributor Type Id: yum_distributor
  Id:                  yum_distributor
  Last Publish:        None
  Repo Id:             pulp
  Scheduled Publishes: 
  Scratchpad:          None

Id:                 pulp1
Display Name:       pulp1
Description:        None
Content Unit Count: 0
Notes:              
Importers:          
  Config:           
    Feed URL: http://repos.fedorapeople.org/repos/pulp/pulp/v2/testing/fedora-17
              /x86_64/
  Id:               yum_importer
  Importer Type Id: yum_importer
  Last Sync:        None
  Repo Id:          pulp1
  Scheduled Syncs:  
  Scratchpad:       None
Distributors:       
  Auto Publish:        True
  Config:              
    Http:         False
    Https:        True
    Relative URL: RHIC/Library/content/beta/rhel/server/6/6Server/x86_64/os
  Distributor Type Id: yum_distributor
  Id:                  yum_distributor
  Last Publish:        None
  Repo Id:             pulp1
  Scheduled Publishes: 
  Scratchpad:          None


[root@preethi ~]# pulp-admin rpm repo search
+----------------------------------------------------------------------+
                              Repositories
+----------------------------------------------------------------------+

Id:                 fedora17
Display Name:       fedora17
Description:        None
Content Unit Count: 3584
Notes:              
Scratchpad:         
  Checksum Type: sha256
  Repodata:      

Id:                 errata
Display Name:       errata
Description:        None
Content Unit Count: 15
Notes:              
Scratchpad:         
  Checksum Type: sha256
  Repodata:      

Id:                 copy-errata
Display Name:       copy-errata
Description:        None
Content Unit Count: 4
Notes:              
Scratchpad:         

Id:                 pulp
Display Name:       pulp
Description:        None
Content Unit Count: 0
Notes:              
Scratchpad:         

Id:                 pulp1
Display Name:       pulp1
Description:        None
Content Unit Count: 0
Notes:              
Scratchpad:         


[root@preethi ~]#
Comment 5 Preethi Thomas 2013-01-09 12:05:20 EST
Pulp v2.0 released

Note You need to log in before you can comment on or make changes to this bug.